Subject: Re: [PATCH v4] net:bonding:Add support for IPV6 RLB to balance-alb mode

From: Jiri Pirko <[email-masked]>
Date: Mon, 21 Mar 2022 10:52:35 +0100

Mon, Mar 21, 2022 at 02:17:34AM CET, [email-masked] wrote:
>
>在 2022/3/18 19:34, Jiri Pirko 写道:
>> Fri, Mar 18, 2022 at 10:49:02AM CET, [email-masked] wrote:
>> > 在 2022/3/17 16:11, Jiri Pirko 写道:
>> > > Thu, Mar 17, 2022 at 07:15:21AM CET, [email-masked] wrote:
>> > > > This patch is implementing IPV6 RLB for balance-alb mode.
>> > > > 
>> > > > Suggested-by: Hu Yadi <[email-masked]>
>> > > > Signed-off-by: Sun Shouxin <[email-masked]>
>> > > Could you please reply to my question I asked for v1:
>> > > Out of curiosity, what is exactly your usecase? I'm asking because
>> > > I don't see any good reason to use RLB/ALB modes. I have to be missing
>> > > something.
>> > > 
>> > > This is adding a lot of code in bonding that needs to be maintained.
>> > > However, if there is no particular need to add it, why would we?
>> > > 
>> > > Could you please spell out why exactly do you need this? I'm pretty sure
>> > > that in the end well find out, that you really don't need this at all.
>> > > 
>> > > Thanks!
>> > 
>> > This patch is certainly aim fix one real issue in ou lab.
>> > For historical inheritance, the bond6 with ipv4 is widely used in our lab.
>> > We started to support ipv6 for all service last year, networking operation
>> > and maintenance team
>> > think it does work with ipv6 ALB capacity take it for granted due to bond6's
>> > specification
>> > but it doesn't work in the end. as you know, it is impossible to change link
>> > neworking to LACP
>> > because of huge cost and effective to online server.
>> I don't follow. Why exactly can't you use LACP? Every switch supports
>> it.
>
>
>Hi jiri
>
>
>Changing to Lacp means risk  to our online service requring high available.
>
>Also,we have multiple DCs installed bond6,it is huge cost to change it.

So? This is 0 argument in this discussion. I believe that adding this
amount of code to bonding for use case that could be simply replaced by
LACP is wrong and we should not do that. The oridingal ALB/RLB
implementation was done when LACP was not that widely used. But now it
is 2022 - different story.